This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### strokeJoin()
Examples |
    noFill();
    strokeWeight(10.0);
    strokeJoin(MITER);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
    noFill();
    strokeWeight(10.0);
    strokeJoin(BEVEL);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
    noFill();
    strokeWeight(10.0);
    strokeJoin(ROUND);
    beginShape();
    vertex(35, 20);
    vertex(65, 50);
    vertex(35, 80);
    endShape();
Description | Sets the style of the joints which connect line segments. These joints are either mitered, beveled, or rounded and specified with the corresponding parameters MITER, BEVEL, and ROUND. The default joint is MITER.
Syntax |
    strokeJoin(join)
Parameters |
join | int: either MITER, BEVEL, ROUND
Returns | void
Related | stroke() strokeWeight() strokeCap()

Updated on October 26, 2013 08:58:32pm PDT